--#IGNORE_ERROR
Create View 
	TWG.HC1_DAY(
		avg_value, 
		min_value, 
		max_value, 
		total_value, 
		meas_date, 
		met_name, 
		met_number) 
	as 
		select sum(0) as avg_value, 
		sum(0) as min_value, 
		sum(0) as max_value, 
		AVG(total_value) as total_value, 
		meas_date, met_name, 
		1 as met_number 
	from 
		ANM.D_L3NODES, 
		ANM.D_OUTAGE_METRIC, 
		ANM.F_OUT_PERC_NS_DAY 
	where 
		ANM.F_OUT_PERC_NS_DAY.METRIC_ID=ANM.D_OUTAGE_METRIC.METRIC_ID 
	AND 
		ANM.F_OUT_PERC_NS_DAY.NODE_ID=ANM.D_L3NODES.NODE_ID 
	AND 
		ANM.D_OUTAGE_METRIC.met_name = 'Available' 
	group by 
		meas_date, 
		met_name 
	UNION 
		select sum(0) as avg_value, 
		sum(0) as min_value, 
		sum(0) as max_value, 
		AVG(total_value) as total_value, 
		meas_date, 
		met_name, 
		2 as met_number 
	from 
		ANM.D_L3NODES, 
		ANM.D_OUTAGE_METRIC, 
		ANM.F_OUT_PERC_NS_DAY 
	where 
		ANM.F_OUT_PERC_NS_DAY.METRIC_ID=ANM.D_OUTAGE_METRIC.METRIC_ID 
	AND 
		ANM.F_OUT_PERC_NS_DAY.NODE_ID=ANM.D_L3NODES.NODE_ID 
	AND 
		ANM.D_OUTAGE_METRIC.met_name = 'Unavailable' 
	group by 
		meas_date, 
		met_name 
	UNION 
		select sum(0) as avg_value, 	
		sum(0) as min_value, 
		sum(0) as max_value, 
		AVG(total_value) as total_value, 
		meas_date, 
		met_name, 
		3 as met_number 
	from 
		ANM.D_L3NODES, 
		ANM.D_OUTAGE_METRIC, 
		ANM.F_OUT_PERC_NS_DAY 
	where 
		ANM.F_OUT_PERC_NS_DAY.METRIC_ID=ANM.D_OUTAGE_METRIC.METRIC_ID 
	AND 
		ANM.F_OUT_PERC_NS_DAY.NODE_ID=ANM.D_L3NODES.NODE_ID 
	AND 
		ANM.D_OUTAGE_METRIC.met_name = 'Unreachable' 
	group by 
		meas_date, 
		met_name 
	UNION 	
		select sum(0) as avg_value, 
		sum(0) as min_value, 
		sum(0) as max_value, 
		AVG(total_value) as total_value, 
		meas_date, 
		met_name, 
		4 as met_number 
	from 
		ANM.D_L3NODES, 
		ANM.D_OUTAGE_METRIC, 
		ANM.F_OUT_PERC_NS_DAY 
	where 
		ANM.F_OUT_PERC_NS_DAY.METRIC_ID=ANM.D_OUTAGE_METRIC.METRIC_ID 
	AND 
		ANM.F_OUT_PERC_NS_DAY.NODE_ID=ANM.D_L3NODES.NODE_ID 
	AND 
		ANM.D_OUTAGE_METRIC.met_name = 'Unmanaged' 
	group by 
		meas_date, 
		met_name
;